/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "feedstorylistreply.h"

namespace NewsBlur
{
/*!
  \class FeedStoryListReply
  \brief The FeedStoryListReply class represents a reply
  of the NewsBlur server which contains a list of stories
  for a specific feed.
*/

/*!
  Constructs a FeedStoryListReply object.
*/
FeedStoryListReply::FeedStoryListReply() :
    StoryListReply(),
    m_feedId(0),
    m_classifiersLoaded(false),
    m_shouldLoadClassifiers(false)
{
}

/*!
  Returns the classifiers of the feed if they have been loaded,
  otherwise returns an null FeedClassifiers value.
*/
FeedClassifiers FeedStoryListReply::classifiers() const
{
    return m_classifiers;
}

/*!
  Returns true if the feed's classifiers have been loaded,
  otherwise returns false.
*/
bool FeedStoryListReply::classifiersLoaded() const
{
    return m_classifiersLoaded;
}
} // namespace NewsBlur
